Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.95.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
22.95.0.0
Broadcast address
22.95.127.255
First usable
22.95.0.1
Last usable
22.95.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 165F0000 · Integer 375324672 to 375357439
Reverse DNS zones
0.95.22.in-addr.arpa
1.95.22.in-addr.arpa
2.95.22.in-addr.arpa
3.95.22.in-addr.arpa
4.95.22.in-addr.arpa
5.95.22.in-addr.arpa
6.95.22.in-addr.arpa
7.95.22.in-addr.arpa
8.95.22.in-addr.arpa
9.95.22.in-addr.arpa
10.95.22.in-addr.arpa
11.95.22.in-addr.arpa
12.95.22.in-addr.arpa
13.95.22.in-addr.arpa
14.95.22.in-addr.arpa
15.95.22.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110.01011111.00000000.0000000022.95.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00010110.01011111.00000000.0000000022.95.0.0
Broadcast00010110.01011111.01111111.1111111122.95.127.255
Split into smaller subnets/25

22.95.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.95.0.0/2522.95.0.1 to 22.95.0.12622.95.0.127126
222.95.0.128/2522.95.0.129 to 22.95.0.25422.95.0.255126
322.95.1.0/2522.95.1.1 to 22.95.1.12622.95.1.127126
422.95.1.128/2522.95.1.129 to 22.95.1.25422.95.1.255126
522.95.2.0/2522.95.2.1 to 22.95.2.12622.95.2.127126
622.95.2.128/2522.95.2.129 to 22.95.2.25422.95.2.255126
722.95.3.0/2522.95.3.1 to 22.95.3.12622.95.3.127126
822.95.3.128/2522.95.3.129 to 22.95.3.25422.95.3.255126
922.95.4.0/2522.95.4.1 to 22.95.4.12622.95.4.127126
1022.95.4.128/2522.95.4.129 to 22.95.4.25422.95.4.255126
1122.95.5.0/2522.95.5.1 to 22.95.5.12622.95.5.127126
1222.95.5.128/2522.95.5.129 to 22.95.5.25422.95.5.255126
1322.95.6.0/2522.95.6.1 to 22.95.6.12622.95.6.127126
1422.95.6.128/2522.95.6.129 to 22.95.6.25422.95.6.255126
1522.95.7.0/2522.95.7.1 to 22.95.7.12622.95.7.127126
1622.95.7.128/2522.95.7.129 to 22.95.7.25422.95.7.255126
1722.95.8.0/2522.95.8.1 to 22.95.8.12622.95.8.127126
1822.95.8.128/2522.95.8.129 to 22.95.8.25422.95.8.255126
1922.95.9.0/2522.95.9.1 to 22.95.9.12622.95.9.127126
2022.95.9.128/2522.95.9.129 to 22.95.9.25422.95.9.255126
2122.95.10.0/2522.95.10.1 to 22.95.10.12622.95.10.127126
2222.95.10.128/2522.95.10.129 to 22.95.10.25422.95.10.255126
2322.95.11.0/2522.95.11.1 to 22.95.11.12622.95.11.127126
2422.95.11.128/2522.95.11.129 to 22.95.11.25422.95.11.255126
2522.95.12.0/2522.95.12.1 to 22.95.12.12622.95.12.127126
2622.95.12.128/2522.95.12.129 to 22.95.12.25422.95.12.255126
2722.95.13.0/2522.95.13.1 to 22.95.13.12622.95.13.127126
2822.95.13.128/2522.95.13.129 to 22.95.13.25422.95.13.255126
2922.95.14.0/2522.95.14.1 to 22.95.14.12622.95.14.127126
3022.95.14.128/2522.95.14.129 to 22.95.14.25422.95.14.255126
3122.95.15.0/2522.95.15.1 to 22.95.15.12622.95.15.127126
3222.95.15.128/2522.95.15.129 to 22.95.15.25422.95.15.255126
3322.95.16.0/2522.95.16.1 to 22.95.16.12622.95.16.127126
3422.95.16.128/2522.95.16.129 to 22.95.16.25422.95.16.255126
3522.95.17.0/2522.95.17.1 to 22.95.17.12622.95.17.127126
3622.95.17.128/2522.95.17.129 to 22.95.17.25422.95.17.255126
3722.95.18.0/2522.95.18.1 to 22.95.18.12622.95.18.127126
3822.95.18.128/2522.95.18.129 to 22.95.18.25422.95.18.255126
3922.95.19.0/2522.95.19.1 to 22.95.19.12622.95.19.127126
4022.95.19.128/2522.95.19.129 to 22.95.19.25422.95.19.255126
4122.95.20.0/2522.95.20.1 to 22.95.20.12622.95.20.127126
4222.95.20.128/2522.95.20.129 to 22.95.20.25422.95.20.255126
4322.95.21.0/2522.95.21.1 to 22.95.21.12622.95.21.127126
4422.95.21.128/2522.95.21.129 to 22.95.21.25422.95.21.255126
4522.95.22.0/2522.95.22.1 to 22.95.22.12622.95.22.127126
4622.95.22.128/2522.95.22.129 to 22.95.22.25422.95.22.255126
4722.95.23.0/2522.95.23.1 to 22.95.23.12622.95.23.127126
4822.95.23.128/2522.95.23.129 to 22.95.23.25422.95.23.255126
4922.95.24.0/2522.95.24.1 to 22.95.24.12622.95.24.127126
5022.95.24.128/2522.95.24.129 to 22.95.24.25422.95.24.255126
5122.95.25.0/2522.95.25.1 to 22.95.25.12622.95.25.127126
5222.95.25.128/2522.95.25.129 to 22.95.25.25422.95.25.255126
5322.95.26.0/2522.95.26.1 to 22.95.26.12622.95.26.127126
5422.95.26.128/2522.95.26.129 to 22.95.26.25422.95.26.255126
5522.95.27.0/2522.95.27.1 to 22.95.27.12622.95.27.127126
5622.95.27.128/2522.95.27.129 to 22.95.27.25422.95.27.255126
5722.95.28.0/2522.95.28.1 to 22.95.28.12622.95.28.127126
5822.95.28.128/2522.95.28.129 to 22.95.28.25422.95.28.255126
5922.95.29.0/2522.95.29.1 to 22.95.29.12622.95.29.127126
6022.95.29.128/2522.95.29.129 to 22.95.29.25422.95.29.255126
6122.95.30.0/2522.95.30.1 to 22.95.30.12622.95.30.127126
6222.95.30.128/2522.95.30.129 to 22.95.30.25422.95.30.255126
6322.95.31.0/2522.95.31.1 to 22.95.31.12622.95.31.127126
6422.95.31.128/2522.95.31.129 to 22.95.31.25422.95.31.255126
6522.95.32.0/2522.95.32.1 to 22.95.32.12622.95.32.127126
6622.95.32.128/2522.95.32.129 to 22.95.32.25422.95.32.255126
6722.95.33.0/2522.95.33.1 to 22.95.33.12622.95.33.127126
6822.95.33.128/2522.95.33.129 to 22.95.33.25422.95.33.255126
6922.95.34.0/2522.95.34.1 to 22.95.34.12622.95.34.127126
7022.95.34.128/2522.95.34.129 to 22.95.34.25422.95.34.255126
7122.95.35.0/2522.95.35.1 to 22.95.35.12622.95.35.127126
7222.95.35.128/2522.95.35.129 to 22.95.35.25422.95.35.255126
7322.95.36.0/2522.95.36.1 to 22.95.36.12622.95.36.127126
7422.95.36.128/2522.95.36.129 to 22.95.36.25422.95.36.255126
7522.95.37.0/2522.95.37.1 to 22.95.37.12622.95.37.127126
7622.95.37.128/2522.95.37.129 to 22.95.37.25422.95.37.255126
7722.95.38.0/2522.95.38.1 to 22.95.38.12622.95.38.127126
7822.95.38.128/2522.95.38.129 to 22.95.38.25422.95.38.255126
7922.95.39.0/2522.95.39.1 to 22.95.39.12622.95.39.127126
8022.95.39.128/2522.95.39.129 to 22.95.39.25422.95.39.255126
8122.95.40.0/2522.95.40.1 to 22.95.40.12622.95.40.127126
8222.95.40.128/2522.95.40.129 to 22.95.40.25422.95.40.255126
8322.95.41.0/2522.95.41.1 to 22.95.41.12622.95.41.127126
8422.95.41.128/2522.95.41.129 to 22.95.41.25422.95.41.255126
8522.95.42.0/2522.95.42.1 to 22.95.42.12622.95.42.127126
8622.95.42.128/2522.95.42.129 to 22.95.42.25422.95.42.255126
8722.95.43.0/2522.95.43.1 to 22.95.43.12622.95.43.127126
8822.95.43.128/2522.95.43.129 to 22.95.43.25422.95.43.255126
8922.95.44.0/2522.95.44.1 to 22.95.44.12622.95.44.127126
9022.95.44.128/2522.95.44.129 to 22.95.44.25422.95.44.255126
9122.95.45.0/2522.95.45.1 to 22.95.45.12622.95.45.127126
9222.95.45.128/2522.95.45.129 to 22.95.45.25422.95.45.255126
9322.95.46.0/2522.95.46.1 to 22.95.46.12622.95.46.127126
9422.95.46.128/2522.95.46.129 to 22.95.46.25422.95.46.255126
9522.95.47.0/2522.95.47.1 to 22.95.47.12622.95.47.127126
9622.95.47.128/2522.95.47.129 to 22.95.47.25422.95.47.255126
9722.95.48.0/2522.95.48.1 to 22.95.48.12622.95.48.127126
9822.95.48.128/2522.95.48.129 to 22.95.48.25422.95.48.255126
9922.95.49.0/2522.95.49.1 to 22.95.49.12622.95.49.127126
10022.95.49.128/2522.95.49.129 to 22.95.49.25422.95.49.255126
10122.95.50.0/2522.95.50.1 to 22.95.50.12622.95.50.127126
10222.95.50.128/2522.95.50.129 to 22.95.50.25422.95.50.255126
10322.95.51.0/2522.95.51.1 to 22.95.51.12622.95.51.127126
10422.95.51.128/2522.95.51.129 to 22.95.51.25422.95.51.255126
10522.95.52.0/2522.95.52.1 to 22.95.52.12622.95.52.127126
10622.95.52.128/2522.95.52.129 to 22.95.52.25422.95.52.255126
10722.95.53.0/2522.95.53.1 to 22.95.53.12622.95.53.127126
10822.95.53.128/2522.95.53.129 to 22.95.53.25422.95.53.255126
10922.95.54.0/2522.95.54.1 to 22.95.54.12622.95.54.127126
11022.95.54.128/2522.95.54.129 to 22.95.54.25422.95.54.255126
11122.95.55.0/2522.95.55.1 to 22.95.55.12622.95.55.127126
11222.95.55.128/2522.95.55.129 to 22.95.55.25422.95.55.255126
11322.95.56.0/2522.95.56.1 to 22.95.56.12622.95.56.127126
11422.95.56.128/2522.95.56.129 to 22.95.56.25422.95.56.255126
11522.95.57.0/2522.95.57.1 to 22.95.57.12622.95.57.127126
11622.95.57.128/2522.95.57.129 to 22.95.57.25422.95.57.255126
11722.95.58.0/2522.95.58.1 to 22.95.58.12622.95.58.127126
11822.95.58.128/2522.95.58.129 to 22.95.58.25422.95.58.255126
11922.95.59.0/2522.95.59.1 to 22.95.59.12622.95.59.127126
12022.95.59.128/2522.95.59.129 to 22.95.59.25422.95.59.255126
12122.95.60.0/2522.95.60.1 to 22.95.60.12622.95.60.127126
12222.95.60.128/2522.95.60.129 to 22.95.60.25422.95.60.255126
12322.95.61.0/2522.95.61.1 to 22.95.61.12622.95.61.127126
12422.95.61.128/2522.95.61.129 to 22.95.61.25422.95.61.255126
12522.95.62.0/2522.95.62.1 to 22.95.62.12622.95.62.127126
12622.95.62.128/2522.95.62.129 to 22.95.62.25422.95.62.255126
12722.95.63.0/2522.95.63.1 to 22.95.63.12622.95.63.127126
12822.95.63.128/2522.95.63.129 to 22.95.63.25422.95.63.255126
12922.95.64.0/2522.95.64.1 to 22.95.64.12622.95.64.127126
13022.95.64.128/2522.95.64.129 to 22.95.64.25422.95.64.255126
13122.95.65.0/2522.95.65.1 to 22.95.65.12622.95.65.127126
13222.95.65.128/2522.95.65.129 to 22.95.65.25422.95.65.255126
13322.95.66.0/2522.95.66.1 to 22.95.66.12622.95.66.127126
13422.95.66.128/2522.95.66.129 to 22.95.66.25422.95.66.255126
13522.95.67.0/2522.95.67.1 to 22.95.67.12622.95.67.127126
13622.95.67.128/2522.95.67.129 to 22.95.67.25422.95.67.255126
13722.95.68.0/2522.95.68.1 to 22.95.68.12622.95.68.127126
13822.95.68.128/2522.95.68.129 to 22.95.68.25422.95.68.255126
13922.95.69.0/2522.95.69.1 to 22.95.69.12622.95.69.127126
14022.95.69.128/2522.95.69.129 to 22.95.69.25422.95.69.255126
14122.95.70.0/2522.95.70.1 to 22.95.70.12622.95.70.127126
14222.95.70.128/2522.95.70.129 to 22.95.70.25422.95.70.255126
14322.95.71.0/2522.95.71.1 to 22.95.71.12622.95.71.127126
14422.95.71.128/2522.95.71.129 to 22.95.71.25422.95.71.255126
14522.95.72.0/2522.95.72.1 to 22.95.72.12622.95.72.127126
14622.95.72.128/2522.95.72.129 to 22.95.72.25422.95.72.255126
14722.95.73.0/2522.95.73.1 to 22.95.73.12622.95.73.127126
14822.95.73.128/2522.95.73.129 to 22.95.73.25422.95.73.255126
14922.95.74.0/2522.95.74.1 to 22.95.74.12622.95.74.127126
15022.95.74.128/2522.95.74.129 to 22.95.74.25422.95.74.255126
15122.95.75.0/2522.95.75.1 to 22.95.75.12622.95.75.127126
15222.95.75.128/2522.95.75.129 to 22.95.75.25422.95.75.255126
15322.95.76.0/2522.95.76.1 to 22.95.76.12622.95.76.127126
15422.95.76.128/2522.95.76.129 to 22.95.76.25422.95.76.255126
15522.95.77.0/2522.95.77.1 to 22.95.77.12622.95.77.127126
15622.95.77.128/2522.95.77.129 to 22.95.77.25422.95.77.255126
15722.95.78.0/2522.95.78.1 to 22.95.78.12622.95.78.127126
15822.95.78.128/2522.95.78.129 to 22.95.78.25422.95.78.255126
15922.95.79.0/2522.95.79.1 to 22.95.79.12622.95.79.127126
16022.95.79.128/2522.95.79.129 to 22.95.79.25422.95.79.255126
16122.95.80.0/2522.95.80.1 to 22.95.80.12622.95.80.127126
16222.95.80.128/2522.95.80.129 to 22.95.80.25422.95.80.255126
16322.95.81.0/2522.95.81.1 to 22.95.81.12622.95.81.127126
16422.95.81.128/2522.95.81.129 to 22.95.81.25422.95.81.255126
16522.95.82.0/2522.95.82.1 to 22.95.82.12622.95.82.127126
16622.95.82.128/2522.95.82.129 to 22.95.82.25422.95.82.255126
16722.95.83.0/2522.95.83.1 to 22.95.83.12622.95.83.127126
16822.95.83.128/2522.95.83.129 to 22.95.83.25422.95.83.255126
16922.95.84.0/2522.95.84.1 to 22.95.84.12622.95.84.127126
17022.95.84.128/2522.95.84.129 to 22.95.84.25422.95.84.255126
17122.95.85.0/2522.95.85.1 to 22.95.85.12622.95.85.127126
17222.95.85.128/2522.95.85.129 to 22.95.85.25422.95.85.255126
17322.95.86.0/2522.95.86.1 to 22.95.86.12622.95.86.127126
17422.95.86.128/2522.95.86.129 to 22.95.86.25422.95.86.255126
17522.95.87.0/2522.95.87.1 to 22.95.87.12622.95.87.127126
17622.95.87.128/2522.95.87.129 to 22.95.87.25422.95.87.255126
17722.95.88.0/2522.95.88.1 to 22.95.88.12622.95.88.127126
17822.95.88.128/2522.95.88.129 to 22.95.88.25422.95.88.255126
17922.95.89.0/2522.95.89.1 to 22.95.89.12622.95.89.127126
18022.95.89.128/2522.95.89.129 to 22.95.89.25422.95.89.255126
18122.95.90.0/2522.95.90.1 to 22.95.90.12622.95.90.127126
18222.95.90.128/2522.95.90.129 to 22.95.90.25422.95.90.255126
18322.95.91.0/2522.95.91.1 to 22.95.91.12622.95.91.127126
18422.95.91.128/2522.95.91.129 to 22.95.91.25422.95.91.255126
18522.95.92.0/2522.95.92.1 to 22.95.92.12622.95.92.127126
18622.95.92.128/2522.95.92.129 to 22.95.92.25422.95.92.255126
18722.95.93.0/2522.95.93.1 to 22.95.93.12622.95.93.127126
18822.95.93.128/2522.95.93.129 to 22.95.93.25422.95.93.255126
18922.95.94.0/2522.95.94.1 to 22.95.94.12622.95.94.127126
19022.95.94.128/2522.95.94.129 to 22.95.94.25422.95.94.255126
19122.95.95.0/2522.95.95.1 to 22.95.95.12622.95.95.127126
19222.95.95.128/2522.95.95.129 to 22.95.95.25422.95.95.255126
19322.95.96.0/2522.95.96.1 to 22.95.96.12622.95.96.127126
19422.95.96.128/2522.95.96.129 to 22.95.96.25422.95.96.255126
19522.95.97.0/2522.95.97.1 to 22.95.97.12622.95.97.127126
19622.95.97.128/2522.95.97.129 to 22.95.97.25422.95.97.255126
19722.95.98.0/2522.95.98.1 to 22.95.98.12622.95.98.127126
19822.95.98.128/2522.95.98.129 to 22.95.98.25422.95.98.255126
19922.95.99.0/2522.95.99.1 to 22.95.99.12622.95.99.127126
20022.95.99.128/2522.95.99.129 to 22.95.99.25422.95.99.255126
20122.95.100.0/2522.95.100.1 to 22.95.100.12622.95.100.127126
20222.95.100.128/2522.95.100.129 to 22.95.100.25422.95.100.255126
20322.95.101.0/2522.95.101.1 to 22.95.101.12622.95.101.127126
20422.95.101.128/2522.95.101.129 to 22.95.101.25422.95.101.255126
20522.95.102.0/2522.95.102.1 to 22.95.102.12622.95.102.127126
20622.95.102.128/2522.95.102.129 to 22.95.102.25422.95.102.255126
20722.95.103.0/2522.95.103.1 to 22.95.103.12622.95.103.127126
20822.95.103.128/2522.95.103.129 to 22.95.103.25422.95.103.255126
20922.95.104.0/2522.95.104.1 to 22.95.104.12622.95.104.127126
21022.95.104.128/2522.95.104.129 to 22.95.104.25422.95.104.255126
21122.95.105.0/2522.95.105.1 to 22.95.105.12622.95.105.127126
21222.95.105.128/2522.95.105.129 to 22.95.105.25422.95.105.255126
21322.95.106.0/2522.95.106.1 to 22.95.106.12622.95.106.127126
21422.95.106.128/2522.95.106.129 to 22.95.106.25422.95.106.255126
21522.95.107.0/2522.95.107.1 to 22.95.107.12622.95.107.127126
21622.95.107.128/2522.95.107.129 to 22.95.107.25422.95.107.255126
21722.95.108.0/2522.95.108.1 to 22.95.108.12622.95.108.127126
21822.95.108.128/2522.95.108.129 to 22.95.108.25422.95.108.255126
21922.95.109.0/2522.95.109.1 to 22.95.109.12622.95.109.127126
22022.95.109.128/2522.95.109.129 to 22.95.109.25422.95.109.255126
22122.95.110.0/2522.95.110.1 to 22.95.110.12622.95.110.127126
22222.95.110.128/2522.95.110.129 to 22.95.110.25422.95.110.255126
22322.95.111.0/2522.95.111.1 to 22.95.111.12622.95.111.127126
22422.95.111.128/2522.95.111.129 to 22.95.111.25422.95.111.255126
22522.95.112.0/2522.95.112.1 to 22.95.112.12622.95.112.127126
22622.95.112.128/2522.95.112.129 to 22.95.112.25422.95.112.255126
22722.95.113.0/2522.95.113.1 to 22.95.113.12622.95.113.127126
22822.95.113.128/2522.95.113.129 to 22.95.113.25422.95.113.255126
22922.95.114.0/2522.95.114.1 to 22.95.114.12622.95.114.127126
23022.95.114.128/2522.95.114.129 to 22.95.114.25422.95.114.255126
23122.95.115.0/2522.95.115.1 to 22.95.115.12622.95.115.127126
23222.95.115.128/2522.95.115.129 to 22.95.115.25422.95.115.255126
23322.95.116.0/2522.95.116.1 to 22.95.116.12622.95.116.127126
23422.95.116.128/2522.95.116.129 to 22.95.116.25422.95.116.255126
23522.95.117.0/2522.95.117.1 to 22.95.117.12622.95.117.127126
23622.95.117.128/2522.95.117.129 to 22.95.117.25422.95.117.255126
23722.95.118.0/2522.95.118.1 to 22.95.118.12622.95.118.127126
23822.95.118.128/2522.95.118.129 to 22.95.118.25422.95.118.255126
23922.95.119.0/2522.95.119.1 to 22.95.119.12622.95.119.127126
24022.95.119.128/2522.95.119.129 to 22.95.119.25422.95.119.255126
24122.95.120.0/2522.95.120.1 to 22.95.120.12622.95.120.127126
24222.95.120.128/2522.95.120.129 to 22.95.120.25422.95.120.255126
24322.95.121.0/2522.95.121.1 to 22.95.121.12622.95.121.127126
24422.95.121.128/2522.95.121.129 to 22.95.121.25422.95.121.255126
24522.95.122.0/2522.95.122.1 to 22.95.122.12622.95.122.127126
24622.95.122.128/2522.95.122.129 to 22.95.122.25422.95.122.255126
24722.95.123.0/2522.95.123.1 to 22.95.123.12622.95.123.127126
24822.95.123.128/2522.95.123.129 to 22.95.123.25422.95.123.255126
24922.95.124.0/2522.95.124.1 to 22.95.124.12622.95.124.127126
25022.95.124.128/2522.95.124.129 to 22.95.124.25422.95.124.255126
25122.95.125.0/2522.95.125.1 to 22.95.125.12622.95.125.127126
25222.95.125.128/2522.95.125.129 to 22.95.125.25422.95.125.255126
25322.95.126.0/2522.95.126.1 to 22.95.126.12622.95.126.127126
25422.95.126.128/2522.95.126.129 to 22.95.126.25422.95.126.255126
25522.95.127.0/2522.95.127.1 to 22.95.127.12622.95.127.127126
25622.95.127.128/2522.95.127.129 to 22.95.127.25422.95.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses